/// <reference types="react" />
import { ColsTrimmerProps } from './CoachMarks.types';
export declare const SVG: import("styled-components").StyledComponent<"svg", import("styled-components").DefaultTheme, {}, never>;
export declare const TitleWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ColsTrimmerProps, never>;
export declare const FooterFlex: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
export declare const IconFlex: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
export declare const NavigationButtonsContainer: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
    $hasSingleButton?: boolean | undefined;
}, never>;
export declare const Content: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const CloseButton: import("styled-components").StyledComponent<import("../Button/components/BaseButton/Button.types").BaseButtonComponent & {
    Pill: import("../Button/components/PillButton/PillButton.types").PillButtonComponent;
} & {
    Icon: import("../Button/components/IconButton/IconButton.types").IconButtonComponent;
}, import("styled-components").DefaultTheme, {}, never>;
export declare const StyledBubble: import("styled-components").StyledComponent<import("./Bubble/Bubble.types").Component, import("styled-components").DefaultTheme, {
    $feedbackWidgetOnPage?: boolean | undefined;
}, never>;
